(function () {
    var isTest = false;
    var id = "",
        type = "",
        platform = "",
        name = "",
        address = "",
        distance = "",
        imei = "",
        requestUrl = "",
        latitude = "",
        longitude = "",
        uid = "",
        poiData, netArr1 = [],
        appVersion,
        platform,
        netType,
        netData;

    function fetchPoiData(callBack) {
        nativeGetPoi(callBack)
    }

    function fetchDeviceInfo(callBack) {
        if (isTest) {
            var json = '{"platform":"android","imei":"99000672608672","appVersion":"6.7.0"}';
            var obj = JSON.parse(json);
            callBack(obj);
            return
        }
        nativeDeviceInfo(callBack)
    }

    nativeIsTest(function (data) {
        isTest = data
    });
/******************************************页面初始化************************************************************/
    function init() {
        fetchDeviceInfo(function (device) {
            if (device) {
                platform = device.platform;
                imei = device.imei;
                appVersion = device.appVersion;
                netType = device.netType;
                fetchPoiData(poiCallback);
            }
        })
    }

    function poiCallback(poi) {
        window.sessionStorage.setItem('poi', JSON.stringify(poi));
        poiData = poi;
        if (poi && poi.point.mLatitudeE6 && poi.point.mLongitudeE6 ) {
            uid = poi.uid;
            type = poi.poiType;
            name = poi.name;
            address = poi.addr;
            coType = poi.coType;
            distance = poi.dis;
            if (poi.point) {
                latitude = poi.point.mLatitudeE6 / 1000000;
                longitude = poi.point.mLongitudeE6 / 1000000
            }
            var icon = document.getElementsByClassName("icon-item");
            var iconTxt;
            var arr1 = [];
            var _loop = function _loop(i) {
                iconTxt = document.getElementsByClassName("foodTxt")[i].innerText;
                arr1.push(iconTxt);
                icon[i].addEventListener("click", function () {
                    dianxinToPage(arr1[i], "", poiData, "discover");
                    if(arr1[i]=="美食"){
                        dataReport("near_hot_food",{});
                    }else if(arr1[i]=="酒店"){
                        dataReport("near_hot_hotel",{});
                    }else if(arr1[i]=="景点"){
                        dataReport("near_hot_attr",{});
                    }else if(arr1[i]=="加油站"){
                        dataReport("near_hot_gas",{});
                    }else if(arr1[i]=="网吧"){
                        dataReport("near_hot_netbar",{});
                    }else if(arr1[i]=="公交站"){
                        dataReport("near_hot_busstop",{});
                    }else if(arr1[i]=="地铁站"){
                        dataReport("near_hot_subway",{});
                    }else if(arr1[i]=="超市"){
                        dataReport("near_hot_market",{});
                    } else if(arr1[i]=="银行"){
                        dataReport("near_hot_bank",{});
                    }
                    //探索周边首页热门分类词点击次数
                    dataReport("near_hot_s_cl",{"tname":arr1[i]});
                }, false)
            };
            for (var i = 0; i < icon.length; i++) {
                _loop(i)
            }
            var more = document.getElementById("more");
            more.addEventListener("click", function () {
                dataReport("near_hot_more",{});
                 mqq.invoke("poi", "gotoPage", {
                     "uri": "allPOICategory",
                     "param": {
                         "centerPoi": poiData
                     }
                 })
            }, false);
            getNetworkData();
        } else {
            setTimeout(function(){
                document.getElementById("netContent").style.display = "none";
                document.getElementById("no").style.display = "none";
                document.getElementById("load").style.display = "none";
                document.getElementById("failer").style.zIndex = "0";
                document.getElementById("click1").style.display = "block";
                document.getElementById("click1").onclick = function () {
                    document.getElementsByClassName("failer")[0].style.zIndex = "-9999";
                    document.getElementById("load").style.display = "block";
                    if (poiData && poiData.point.mLatitudeE6 && poiData.point.mLongitudeE6 ){
                        getNetworkData();
                    } else {
                        fetchPoiData(poiCallback);
                    }
                };
            },1000)

        }
    }

    window.onload = init();
/******************************************请求接口************************************************************/
function getNetworkData(callback) {
    var myDate = new Date().getTime();
    var origin = imei + latitude +  longitude + appVersion + platform +"mobilemap" + myDate;
    origin = origin.substring(3, origin.length - 1);
    var sign = hex_md5(origin);
    // isTest = 0;
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/nearby?qt=get_info&lon=" + longitude + "&lat=" + latitude + "&imei=" + imei + "&tm="+myDate+"&sign=" + sign+"&device="+platform+"&app_ver="+appVersion+"&ver=1";
    } else {
        requestUrl = "https://syn0.map.qq.com/nearby?qt=get_info&lon=" + longitude + "&lat=" + latitude + "&imei=" + imei+ "&tm="+myDate+"&sign=" + sign+"&device="+platform+"&app_ver="+appVersion+"&ver=1";
    }
    requestUrl += "&r=" + Math.random();
    if( callback && typeof callback === "function" ){
        window.slideDownCallback = callback;
    }
    json.getData(requestUrl, renderData);
}
/******************************************渲染数据************************************************************/
    function renderData(data) {
    if( window.slideDownCallback ){
        window.slideDownCallback();
        window.slideDownCallback = null;
    }
    if( platform == 'android' ){
        byId('click1').style.lineHeight = '0.345rem';
    }
    var newsAryF=[];
    var newsAryS=[];
        if (data) {
            // data.retCode = 1;
            if (data.retCode == 0) {
                if(data.retBody.inforsp.info_error_code==0){
                    document.getElementsByClassName("failer")[0].style.display = "none";
                    document.getElementById("netContent").style.display = "block";
                    document.getElementById("load").style.display = "none";
                } else if(data.retBody.poirsp.points_error_code==0 && data.retBody.poirsp.info.rnum > 0){
                    document.getElementsByClassName("failer")[0].style.display = "none";
                    document.getElementById("netContent").style.display = "block";
                    document.getElementById("load").style.display = "none";
                } else{
                    document.getElementById("load").style.display = "none";
                    document.getElementById("no").style.zIndex = "0";
                }
            } else {
                document.getElementById("netContent").style.display = "none";
                document.getElementById("no").style.display = "none";
                document.getElementById("load").style.display = "none";
                document.getElementById("failer").style.zIndex = "0";
                document.getElementById("click1").style.display = "block";
                document.getElementById("click1").onclick = function () {
                    document.getElementsByClassName("failer")[0].style.zIndex = "-9999";
                    document.getElementById("load").style.display = "block";
                     if (poiData && poiData.point.mLatitudeE6 && poiData.point.mLongitudeE6 ){
                        getNetworkData();
                    } else {
                        fetchPoiData(poiCallback);
                    }
                };
                return;
            }
        }
        netData = data.retBody;
        for (var a in netData) {
            /****************************************新闻资讯*********************************************/
            if (a == "inforsp") {
                if(data.retBody.inforsp.info_error_code==0){
                    if (netData.inforsp.informations.food && netData.inforsp.informations.food.length > 0) {
                        mqq.invoke("common", "dataReport", {
                            "code": "near_feed_food_s",
                            "data":{"num":5}
                        });
                        document.getElementById("no").style.display = "none";
                        document.getElementById("foodSelect").style.display = "block";
                        var selectone = document.getElementsByClassName("selectone")[0];
                        var foodStr = "";
                        for (var food = 0; food < 5; food++) {
                            var docidFood=netData.inforsp.informations.food[food].docid;
                            newsAryF.push(docidFood);
                            var imgSrc = netData.inforsp.informations.food[food].head_pic;
                            var sub;
                            var start = imgSrc.indexOf("|");
                            if (start >= 0) {
                                sub = imgSrc.substring(0, start)
                            } else {
                                sub = netData.inforsp.informations.food[food].head_pic
                            }
                            foodStr += "<li class='news foodNews'>" + "<div class='selectTxt'>" + "<div class='selectDes'>" + netData.inforsp.informations.food[food].title + "</div>" + "<div class='selectDes1'>" + "<span class='group'>" + netData.inforsp.informations.food[food].src + "</span></div>" + "</div>" + "<div class='selectOneImg'><img src=" + sub + " alt='' style='object-fit:cover' onerror=' a(this);function a(b){ b.src =\"https://3gimg.qq.com/tencentMapTouch/app/around/food.png\";}' ></div>"+ (food===0?"":"<div class='border'></div>") +"</li>"
                        }
                        selectone.innerHTML = foodStr;
                        var foodNews = document.getElementsByClassName("foodNews");
                        var urlArr = [];
                        var titleFoodArr = [];
                        var head_pic_food = [];
                        var typeFoodArray = []
                        var _loop = function _loop(k) {
                            titleFoodArr.push(netData.inforsp.informations.food[k].title);
                            urlFood = netData.inforsp.informations.food[k].url + netType;
                            if(netData.inforsp.informations.food[k].head_pic.indexOf("|") >=0){
                                head_pic_food.push(netData.inforsp.informations.food[k].head_pic.substring(0, netData.inforsp.informations.food[k].head_pic.indexOf("|")));
                            }else{
                                head_pic_food.push(netData.inforsp.informations.food[k].head_pic);
                            }
                            urlArr.push(urlFood);
                            typeFoodArray.push(netData.inforsp.informations.food[k].src);
                            foodNews[k].addEventListener("click", function () {
                                isLock = false;
                                mqq.invoke("poi", "gotoPage", {
                                    "uri": "onlineWebView",
                                    "param": {
                                        url: urlArr[k]+'&os='+platform,
                                        "businessId": 1,
                                        "shareTitle" :titleFoodArr[k],
                                        "shareURL" : urlArr[k],
                                        "imageURL" :head_pic_food[k],
                                        "shareDesc" : typeFoodArray[k]
                                    }
                                });
                                mqq.invoke("common", "dataReport", {
                                    "code": "near_feed_show_cl",
                                    "data":{"foodDocIdList":newsAryF.toString(),"trvlDocIdList":newsAryS.toString(),"type":"food","selectedDocId":newsAryF[k]}
                                });
                                dataReport("near_feed_food_cl",{"index":k+1});
                            })
                        };
                        for (var k = 0; k < 5; k++) {
                            var urlFood;
                            _loop(k)
                        }
                    }
                    if(netData.inforsp.informations.view && netData.inforsp.informations.view.length>0){
                        mqq.invoke("common", "dataReport", {
                            "code": "near_feed_trvl_s",
                            "data":{"num":5}
                        });
                        document.getElementById("no").style.display = "none";
                        document.getElementById("travelSelect").style.display = "block";
                        var selectTravel = document.getElementsByClassName("selectTravel")[0];
                        var traStr = "";
                        for (var i = 0; i < 5; i++) {
                            var docidS=netData.inforsp.informations.view[i].docid;
                            newsAryS.push(docidS);
                            var imgSrc = netData.inforsp.informations.view[i].head_pic;
                            var start = imgSrc.indexOf("|");
                            var sub;
                            if (start >= 0) {
                                sub = imgSrc.substring(0, start)
                            } else {
                                sub = netData.inforsp.informations.view[i].head_pic
                            }
                            traStr += "<li class='news travelNews'>" + "<div class='selectTxt'>" + "<div class='selectDes'>" + netData.inforsp.informations.view[i].title + "</div>" + "<div class='selectDes1'>" + "<span class='group'>" + netData.inforsp.informations.view[i].src + "</span></div>" + "</div>" + "<div class='selectOneImg'><img src=" + sub + " alt='' style='object-fit:cover' onerror=' a(this);function a(b){ b.src =\"https://3gimg.qq.com/tencentMapTouch/app/around/food.png\";}'></div>"+ (i===0?"":"<div class='border'></div>") +"</li>"
                        }
                        selectTravel.innerHTML = traStr;
                        mqq.invoke("common", "dataReport", {
                            "code": "near_feed_show",
                            "data":{"foodDocIdList":newsAryF.toString(),"trvlDocIdList":newsAryS.toString()}
                        });
                        var travelNews = document.getElementsByClassName("travelNews");
                        var urlArr1 = [];
                        var titleViewArr=[];
                        var head_pic_view = [];
                        var typeViewArray = [];
                        var loop = function loop(k) {
                            urlFood = netData.inforsp.informations.view[k].url + netType;
                            urlArr1.push(urlFood);
                            titleViewArr.push(netData.inforsp.informations.view[k].title);
                            if(netData.inforsp.informations.view[k].head_pic.indexOf("|") >=0){
                                head_pic_view.push(netData.inforsp.informations.view[k].head_pic.substring(0, netData.inforsp.informations.view[k].head_pic.indexOf("|")));
                            }else{
                                head_pic_view.push(netData.inforsp.informations.view[k].head_pic);
                            }
                            typeViewArray.push(netData.inforsp.informations.view[k].src);
                            travelNews[k].addEventListener("click", function () {
                                isLock = false;
                                mqq.invoke("poi", "gotoPage", {
                                    "uri": "onlineWebView",
                                    "param": {
                                        url: urlArr1[k]+'&os='+platform,
                                        "businessId": 1,
                                        "shareTitle" :titleViewArr[k],
                                        "shareURL" : urlArr1[k],
                                        "imageURL" :head_pic_view[k],
                                        "shareDesc" : typeViewArray[k]
                                    }
                                });
                                debugger
                                mqq.invoke("common", "dataReport", {
                                    "code": "near_feed_show_cl",
                                    "data":{"foodDocIdList":newsAryF.toString(),"trvlDocIdList":newsAryS.toString(),"type":"trvl","selectedDocId":newsAryS[k]}
                                });
                                dataReport("near_feed_trvl_cl",{"index":k+1});
                            })
                        };
                        for (var k = 0; k < 5; k++) {
                            var urlFood;
                            loop(k)
                        }
                    }
                    else {
                        if (netData.poirsp.detail.pois && netData.poirsp.detail.pois.length == 0) {
                            document.getElementById("no").style.zIndex = "0";
                        }
                    }
                }

            }
           /****************************************周边推荐*********************************************/
            if (a == "poirsp") {
                if(netData.poirsp){
                    if (netData.poirsp.detail.pois && netData.poirsp.detail.pois.length == 5) {
                        mqq.invoke("common", "dataReport", {
                            "code": "near_rcmdpoi_e",
                            "data": {
                                "request_id":netData.poirsp.info.request_id,
                                "num":5
                            }
                        });
                        document.getElementById("no").style.display = "none";
                        document.getElementById("select").style.display = "block";
                        if (netData.poirsp.detail.pois[0]) {
                            document.getElementById("popularity1").style.display = "block";
                            if (netData.poirsp.detail.pois[0].richInfo.rich.head_pic) {
                                byId("selectImg1").src = netData.poirsp.detail.pois[0].richInfo.rich.head_pic
                            } else {
                                byId("selectImg1").src = "https://3gimg.qq.com/tencentMapTouch/app/around/food.png"
                            }
                            byId("selectName1").innerText = netData.poirsp.detail.pois[0].richInfo.rich.business_name;
                            if (netData.poirsp.detail.pois[0].richInfo.rich.price && netData.poirsp.detail.pois[0].CO != 241000) {
                                byId("price1").innerText = "¥"+netData.poirsp.detail.pois[0].richInfo.rich.price
                            } else {
                                byId("price1").style.display = "none"
                            }
                            if (netData.poirsp.detail.pois[0].classes) {
                                var classesStr = netData.poirsp.detail.pois[0].classes;
                                var start = classesStr.lastIndexOf(":");
                                var sub = classesStr.substring(start + 1, classesStr.length);
                                byId("alias1").innerText = sub
                            }
                            byId("dis1").innerText = netData.poirsp.detail.pois[0].dis + "米";
                            if (netData.poirsp.detail.pois[0].richInfo.rich.avg_rating != "") {
                                var star = netData.poirsp.detail.pois[0].richInfo.rich.avg_rating;
                                var s1 = parseInt(star);
                                var s2 = parseFloat(star);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelOne")[oneStar].src = "./img/ic_start_round.png?" + Math.random()
                                    }
                                    if (s2 - s1 > 0.5) {
                                        document.getElementsByClassName("starLevelOne")[s1].src = "./img/ic_halfstart_round.png?" + Math.random()
                                    }
                                }
                            }
                        }
                        if (netData.poirsp.detail.pois[1]) {
                            document.getElementById("popularity2").style.display = "block";
                            if (netData.poirsp.detail.pois[1].richInfo.rich.head_pic) {
                                byId("selsectImg2").src = netData.poirsp.detail.pois[1].richInfo.rich.head_pic
                            } else {
                                byId("selsectImg2").src = "https://3gimg.qq.com/tencentMapTouch/app/around/food.png"
                            }
                            byId("selectName2").innerText = netData.poirsp.detail.pois[1].richInfo.rich.business_name;
                            if (netData.poirsp.detail.pois[1].richInfo.rich.price && netData.poirsp.detail.pois[1].CO != 241000) {
                                byId("price2").innerText = "¥"+netData.poirsp.detail.pois[1].richInfo.rich.price
                            } else {
                                byId("price2").style.display = "none"
                            }
                            if (netData.poirsp.detail.pois[1].classes) {
                                var classesStr = netData.poirsp.detail.pois[1].classes;
                                var start = classesStr.lastIndexOf(":");
                                var sub = classesStr.substring(start + 1, classesStr.length);
                                byId("alias2").innerText = sub
                            }
                            byId("dis2").innerText = netData.poirsp.detail.pois[1].dis + "米";
                            if (netData.poirsp.detail.pois[1].richInfo.rich.avg_rating != "") {
                                var star = netData.poirsp.detail.pois[1].richInfo.rich.avg_rating;
                                var s1 = parseInt(star);
                                var s2 = parseFloat(star);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelTwo")[oneStar].src = "img/ic_start_round.png?" + Math.random()
                                    }
                                    if (s2 - s1 > 0.5) {
                                        document.getElementsByClassName("starLevelTwo")[s1].src = "./img/ic_halfstart_round.png?" + Math.random()
                                    }
                                }
                            }
                        }
                        if (netData.poirsp.detail.pois[2]) {
                            document.getElementById("popularity3").style.display = "block";
                            if (netData.poirsp.detail.pois[2].richInfo.rich.head_pic) {
                                byId("selsectImg3").src = netData.poirsp.detail.pois[2].richInfo.rich.head_pic
                            } else {
                                byId("selsectImg3").src = "https://3gimg.qq.com/tencentMapTouch/app/around/food.png"
                            }
                            byId("selectName3").innerText = netData.poirsp.detail.pois[2].richInfo.rich.business_name;
                            if (netData.poirsp.detail.pois[2].richInfo.rich.price && netData.poirsp.detail.pois[2].CO != 241000) {
                                byId("price3").innerText = "¥"+netData.poirsp.detail.pois[2].richInfo.rich.price
                            } else {
                                byId("price3").style.display = "none"
                            }
                            if (netData.poirsp.detail.pois[2].classes) {
                                var classesStr = netData.poirsp.detail.pois[2].classes;
                                var start = classesStr.lastIndexOf(":");
                                var sub = classesStr.substring(start + 1, classesStr.length);
                                byId("alias3").innerText = sub
                            }
                            byId("dis3").innerText = netData.poirsp.detail.pois[2].dis + "米";
                            if (netData.poirsp.detail.pois[2].richInfo.rich.avg_rating != "") {
                                var star = netData.poirsp.detail.pois[2].richInfo.rich.avg_rating;
                                var s1 = parseInt(star);
                                var s2 = parseFloat(star);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelThree")[oneStar].src = "img/ic_start_round.png?" + Math.random()
                                    }
                                    if (s2 - s1 > 0.5) {
                                        document.getElementsByClassName("starLevelThree")[s1].src = "./img/ic_halfstart_round.png?" + Math.random()
                                    }
                                }
                            }
                        }
                        if (netData.poirsp.detail.pois[3]) {
                            document.getElementById("popularity4").style.display = "block";
                            if (netData.poirsp.detail.pois[3].richInfo.rich.head_pic) {
                                byId("selsectImg4").src = netData.poirsp.detail.pois[3].richInfo.rich.head_pic
                            } else {
                                byId("selsectImg4").src = "https://3gimg.qq.com/tencentMapTouch/app/around/food.png"
                            }
                            byId("selectName4").innerText = netData.poirsp.detail.pois[3].richInfo.rich.business_name;
                            if (netData.poirsp.detail.pois[3].richInfo.rich.price && netData.poirsp.detail.pois[3].CO != 241000) {
                                byId("price4").innerText = "¥"+netData.poirsp.detail.pois[3].richInfo.rich.price
                            } else {
                                byId("price4").style.display = "none"
                            }
                            if (netData.poirsp.detail.pois[3].classes) {
                                var classesStr = netData.poirsp.detail.pois[3].classes;
                                var start = classesStr.lastIndexOf(":");
                                var sub = classesStr.substring(start + 1, classesStr.length);
                                byId("alias4").innerText = sub
                            }
                            byId("dis4").innerText = netData.poirsp.detail.pois[3].dis + "米";
                            if (netData.poirsp.detail.pois[3].richInfo.rich.avg_rating != "") {
                                var star = netData.poirsp.detail.pois[3].richInfo.rich.avg_rating;
                                var s1 = parseInt(star);
                                var s2 = parseFloat(star);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelFour")[oneStar].src = "img/ic_start_round.png?" + Math.random()
                                    }
                                    if (s2 - s1 > 0.5) {
                                        document.getElementsByClassName("starLevelFour")[s1].src = "./img/ic_halfstart_round.png?" + Math.random()
                                    }
                                }
                            }
                        }
                        if (netData.poirsp.detail.pois[4]) {
                            document.getElementById("popularity5").style.display = "block";
                            if (netData.poirsp.detail.pois[4].richInfo.rich.head_pic) {
                                byId("selsectImg5").src = netData.poirsp.detail.pois[4].richInfo.rich.head_pic
                            } else {
                                byId("selsectImg5").src = "https://3gimg.qq.com/tencentMapTouch/app/around/food.png"
                            }
                            byId("selectName5").innerText = netData.poirsp.detail.pois[4].richInfo.rich.business_name;
                            if (netData.poirsp.detail.pois[4].richInfo.rich.price && netData.poirsp.detail.pois[4].CO != 241000) {
                                byId("price5").innerText = "¥"+netData.poirsp.detail.pois[4].richInfo.rich.price
                            } else {
                                byId("price5").style.display = "none"
                            }
                            if (netData.poirsp.detail.pois[4].classes) {
                                var classesStr = netData.poirsp.detail.pois[4].classes;
                                var start = classesStr.lastIndexOf(":");
                                var sub = classesStr.substring(start + 1, classesStr.length);
                                byId("alias5").innerText = sub
                            }
                            byId("dis5").innerText = netData.poirsp.detail.pois[4].dis + "米";
                            if (netData.poirsp.detail.pois[4].richInfo.rich.avg_rating != "") {
                                var star = netData.poirsp.detail.pois[4].richInfo.rich.avg_rating;
                                var s1 = parseInt(star);
                                var s2 = parseFloat(star);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelFive")[oneStar].src = "img/ic_start_round.png?" + Math.random()
                                    }
                                    if (s2 - s1 > 0.5) {
                                        document.getElementsByClassName("starLevelFive")[s1].src = "./img/ic_halfstart_round.png?" + Math.random()
                                    }
                                }
                            }
                        }
                    } else {
                        if(netData.inforsp.informations.length == 0){
                            document.getElementById("no").style.zIndex = "0"
                        }

                    }
                    var popularity = document.getElementsByClassName("popularity");
                    document.getElementsByClassName("click1")[0].style.display = "none";
                    netArr1 = [];
                    var _loop = function _loop(j) {
                        var name = netData.poirsp.detail.pois[j].name + "";
                        var uid = netData.poirsp.detail.pois[j].uid + "";
                        var address = netData.poirsp.detail.pois[j].addr + "";
                        var lat = netData.poirsp.detail.pois[j].richInfo.rich.lat*1000000 + "";
                        var lng = netData.poirsp.detail.pois[j].richInfo.rich.lng*1000000 + "";
                        var dis = netData.poirsp.detail.pois[j].dis + "";
                        var classes = netData.poirsp.detail.pois[j].classes + "";
                        if(lat.indexOf(".")>-1){
                            lat = lat.substr(0,lat.indexOf("."))
                        }
                        if(lng.indexOf(".")>-1){
                            lng = lng.substr(0,lng.indexOf("."))
                        }
                        var netData1 = {
                            "name": name,
                            "uid": uid,
                            "addr": address,
                            "point": {
                                "mLatitudeE6": lat,
                                "mLongitudeE6": lng
                            },
                            "dis": dis,
                            "classes": classes
                        };
                        netArr1.push(netData1);
                        popularity[j].onclick = function () {
                            // alert(JSON.stringify(netArr1[j]))
                            isLock = false;
                            mqq.invoke("poi", "gotoPage", {
                                "uri": "poiPage",
                                "param": {
                                    "poi": netArr1[j]
                                }
                            });
                            mqq.invoke("common", "dataReport", {
                                "code": "near_rcmdpoi_cl",
                                "data": {
                                    "index": j+1,
                                    "request_id":netData.poirsp.info.request_id,
                                    "SCity":netData.poirsp.detail.pois[j].richInfo.rich.city,
                                    "pname":netData.poirsp.detail.pois[j].name,
                                    "uid":netData.poirsp.detail.pois[j].uid
                                }
                            })
                        }
                    };
                    for (var j = 0; j < popularity.length; j++) {
                        _loop(j)
                    }
                }
            }
            /****************************************榜单推荐*********************************************/
            if(a == "rankrsp"){
                if(netData.rankrsp){
                    if(netData.rankrsp.delicacy){
                        var req_code_food0 = netData.rankrsp.delicacy[0].req_code;
                        var req_code_food1 = netData.rankrsp.delicacy[1].req_code;
                        if(netData.rankrsp.delicacy.length==1){
                            document.getElementById("food-list").style.paddingBottom="0.09rem";
                            document.getElementsByClassName("food-list-img")[0].style.display="block";
                            document.getElementsByClassName("food-select-img")[0].style.width="3.35rem";
                            // document.getElementsByClassName("food-select-img")[0].style.height="1.83rem";
                            document.getElementsByClassName("food-select-img")[0].src=netData.rankrsp.delicacy[0].pic_url;
                            document.getElementById("food-list").style.width="3.5rem";
                            document.getElementsByClassName("select-name")[0].innerText=netData.rankrsp.delicacy[0].name;
                            document.getElementsByClassName("food-list-img")[0].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"food",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '周边必吃美食',
                                        'data': {"title": "周边必吃美食", "poiData": poiData, "req_code": req_code_food0},
                                        'bussinessId': 1
                                    }
                                });
                                dataReport("near_rk_food1_cl",{"tname":"food"});
                                dataReport("near_rk_poilist_s",{"tname":"food"});
                                //探索周边-榜单列表展现
                                dataReport("near_rk_e",{"listname":"food"});
                            })
                        }else{
                            document.getElementById("food-list").style.paddingBottom="0.09rem";
                            document.getElementsByClassName("food-list-img")[0].style.display="block";
                            document.getElementsByClassName("food-select-img")[0].src=netData.rankrsp.delicacy[0].pic_url;
                            document.getElementsByClassName("food-list-img")[1].style.display="block";
                            document.getElementsByClassName("food-select-img")[1].src=netData.rankrsp.delicacy[1].pic_url;
                            document.getElementsByClassName("food-list-img")[0].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"food",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                // alert(req_code_food0)
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '周边必吃美食',
                                        'data': {"title": "周边必吃美食", "poiData": poiData, "req_code": req_code_food0},
                                        'bussinessId': 1
                                    }
                                });
                                dataReport("near_rk_food1_cl",{"tname":"food"});
                                dataReport("near_rk_poilist_s",{"tname":"food"});
                                 //探索周边-榜单列表展现
                                 dataReport("near_rk_e",{"listname":"food"});
                            });
                            document.getElementsByClassName("food-list-img")[1].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"hg",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '最具人气火锅排行榜',
                                        'data': {"title": "最具人气火锅排行榜", "poiData": poiData, "req_code": req_code_food1},
                                        'bussinessId': 1
                                    }
                                });
                                dataReport("near_rk_food2_cl",{"tname":"hg"});
                                dataReport("near_rk_poilist_s",{"tname":"hg"});
                                 //探索周边-榜单列表展现
                                 dataReport("near_rk_e",{"listname":"hg"});
                            })
                        }
                    }
                    if(netData.rankrsp.scenic){
                        // alert(JSON.stringify(netData.rankrsp.rankrsp.scenic.length));
                        if(netData.rankrsp.scenic.length==1){
                            document.getElementById("travel-list").style.paddingBottom="0.09rem";
                            document.getElementsByClassName("travel-list-img")[0].style.display="block";
                            document.getElementsByClassName("travel-select-img")[0].src=netData.rankrsp.scenic[0].pic_url;
                            document.getElementsByClassName("travel-select-img")[0].style.width="3.35rem";
                            document.getElementById("cover").style.width="3.35rem";
                            document.getElementById("travel-list").style.width="3.5rem";
                            var req_code_tra0 = netData.rankrsp.scenic[0].req_code;
                            document.getElementsByClassName("travel-list-img")[0].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"scenic",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '周边必去景点',
                                        'data': {"title":"周边必去景点","poiData": poiData, "req_code": req_code_tra0},
                                        'bussinessId': 1
                                    }
                                });
                                dataReport("near_rk_travel1_cl",{"tname":"scenic"});
                                dataReport("near_rk_poilist_s",{"tname":"scenic"});
                                //探索周边-榜单列表展现
                                dataReport("near_rk_e",{"listname":"scenic"});
                            })
                        }else{
                            document.getElementById("travel-list").style.paddingBottom="0.09rem";
                            document.getElementsByClassName("travel-list-img")[0].style.display="block";
                            document.getElementsByClassName("travel-select-img")[0].src=netData.rankrsp.scenic[0].pic_url;
                            document.getElementsByClassName("travel-list-img")[1].style.display="block";
                            document.getElementsByClassName("travel-select-img")[1].src=netData.rankrsp.scenic[1].pic_url;
                            var req_code_tra0 = netData.rankrsp.scenic[0].req_code;
                            var req_code_tra1 = netData.rankrsp.scenic[1].req_code;
                            document.getElementsByClassName("travel-list-img")[0].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"scenic",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '周边必去景点',
                                        'data': {"title":"周边必去景点","poiData": poiData, "req_code": req_code_tra0},
                                        'bussinessId': 1
                                    }
                                })
                                dataReport("near_rk_travel1_cl",{"tname":"scenic"});
                                dataReport("near_rk_poilist_s",{"tname":"scenic"});
                                //探索周边-榜单列表展现
                                dataReport("near_rk_e",{"listname":"scenic"});
                            });
                            document.getElementsByClassName("travel-list-img")[1].addEventListener("click", function () {
                                //探索周边首页附近榜单入口的点击次数
                                dataReport("near_rk_cl",{
                                    "tname":"scenic",
                                    "request_id":netData.poirsp.info.request_id
                                });
                                isLock = false;
                                mqq.invoke('poi', 'gotoPage', {
                                    'uri': 'localWebViewInteract',
                                    'param': {
                                        'url': 'foodList.html',
                                        'showTitle': true,
                                        'title': '周边必去景点',
                                        'data': {"title":"周边必去景点","poiData": poiData, "req_code": req_code_tra1},
                                        'bussinessId': 1
                                    }
                                })
                                dataReport("near_rk_travel1_cl",{"tname":"scenic"});
                                dataReport("near_rk_poilist_s",{"tname":"scenic"});
                                //探索周边-榜单列表展现
                                dataReport("near_rk_e",{"listname":"scenic"});
                            })
                        }
                    }
                }else {
                    document.getElementById("no").style.zIndex = "0"
                }
            }
        }
    }

    /**********************************下拉刷新********************************************************/
    var isLock = false;
    var flag1 = true;
    var loading = document.getElementById("loading");
    var slide = function (option) {
        var defaults = {
            container: "",
            next: function () {
            }
        };
        isLock = false;
        var start_move, end_move, length, isCanDo = false,
            isTouchPad = (/hp-tablet/gi).test(navigator.appVersion),
            hasTouch = "ontouchstart" in window && !isTouchPad,
            start_moveX, end_moveX;
        var obj = document.querySelector(option.container);
        var offset = loading.clientHeight;
        var objparent = obj.parentElement;
        var fn = {
            translate: function (diff) {
                obj.style.webkitTransform = "translate3d(0," + diff + "px,0)";
                obj.style.transform = "translate3d(0," + diff + "px,0)"
            },
            setTransition: function (time) {
                obj.style.webkitTransition = "all " + time + "s";
                obj.style.transition = "all " + time + "s"
            },
            back: function () {
                fn.translate(50 - offset);
                isLock = false;
                start_move = 0;
                end_move = 0
            },
            addEvent: function (element, event_name, event_fn) {
                if (element.addEventListener) {
                    element.addEventListener(event_name, event_fn, false)
                } else {
                    if (element.attachEvent) {
                        element.attachEvent("on" + event_name, event_fn)
                    } else {
                        element["on" + event_name] = event_fn
                    }
                }
            }
        };
        fn.translate(50 - offset);
        fn.addEvent(obj, "touchstart", touchStart);
        fn.addEvent(obj, "touchmove", touchMove);
        fn.addEvent(obj, "touchend", touchEnd);

        function touchStart(e) {
            if (objparent.scrollTop <= 0 && !isLock) {
                var even = typeof event == "undefined" ? e : event;
                isLock = true;
                isCanDo = true;
                start_move = hasTouch ? even.targetTouches[0].pageY : even.pageY;
                start_moveX = hasTouch ? even.targetTouches[0].pageX : even.pageX;
                fn.setTransition(0);
                loading.innerHTML = '<span class="loadIcon11"></span><span class="loadTxt">下拉刷新</span>';
            }
            return false
        }

        function touchMove(e) {
            if (objparent.scrollTop <= 0 && isCanDo) {
                var even = typeof event == "undefined" ? e : event;
                end_move = hasTouch ? even.targetTouches[0].pageY : even.pageY;
                end_moveX = hasTouch ? even.targetTouches[0].pageX : even.pageX;
                var scrollLength = end_move - start_move,degree = scrollLength * Math.ceil(360/60);
                if (start_move < end_move) {
                    if (end_move - start_move > 50) {
                        document.getElementById("loading").style.display = "block";
                        document.getElementById("loading").style.visibility = "visible"
                    } else {
                        document.getElementById("loading").style.display = "none"
                    }
                    if( (end_move - start_move) > 200 ){
                        loading.getElementsByClassName("loadTxt")[0].innerHTML = "松开刷新";
                    }
                    if( byClass("loadIcon11") ){
                        byClass("loadIcon11").style.transform = "rotate(-"+degree+"deg)";
                        byClass("loadIcon11").style.webkitTransform = "rotate(-"+degree+"deg)";
                    }
                    even.preventDefault();
                    fn.setTransition(0);
                    if ((end_move - start_move - offset) / 2 <= 150) {
                        length = (end_move - start_move) / 2;
                        fn.translate(length)
                    } else {
                        length += 0.3;
                        fn.translate(length)
                    }
                } else {
                    document.getElementById("loading").style.display = "none"
                }
            }
        }

        function touchEnd(e) {
            if ((end_move - start_move - offset) / 2 <= 150) {
                if (flag1) {
                    mqq.invoke("common", "dataReport", {
                        "code": "near_down"
                    });
                    flag1 = false
                }
            }
            if (isCanDo) {
                isCanDo = false;
                if (end_move - start_move >= offset + 60) {
                    fn.setTransition(0.4);
                    fn.translate(50);
                    loading.innerHTML = '<span class="loadIcon"></span><span class="loadTxt">正在刷新</span>';
                    if (typeof option.next == "function") {
                        option.next.call(fn, e)
                    }
                } else {
                    if (end_move > 100) {
                        fn.back();
                        document.getElementById("loading").style.display = "none"
                    }
                }
                stic((end_move - start_move), (end_moveX - start_moveX))
            }
        }
    };
    slide({
        container: "#container",
        next: function (e) {
            mqq.invoke("common", "dataReport", {
                "code": "near_pull_refresh"
            });
            var that = this;
            getNetworkData(function(){
                setTimeout(function () {
                    document.getElementById("loading").innerHTML = "已为您更新至最新内容";
                    setTimeout(function () {
                        that.back.call();
                        document.getElementById("loading").style.display = "none"
                    }, 400)
                }, 400)
            });
        }
    });
    var flag = true;

    function stic(ex, ee) {
        if (flag) {
            if (Math.abs(ex) < Math.abs(ee)) {
                dataReport("near_rcmdpoi_slide",{"request_id":netData.poirsp.info.request_id});
                flag = false
            }
        }
    }
})();