/**
 * Created by lancesliu on 2017/5/16.
 */

/**
 * 将数值转换为带有单位的字符串,如果distance是NaN,表明带有单位，直接返回原值
 * @param distance  距离
 * @returns {string}    带有单位的距离字符串
 */
function distance2Sring(distance) {
    if (isNaN(distance)) {
        return distance;
    }
    if (distance < 1000){
        return Math.round(distance) + '米';
    }else {
        var kmDis = Math.round(distance/1000);
        kmDis = kmDis.toString();
        if(kmDis < 10){
            var km=Math.round(distance/100)/10;
            km=km.toString();
            return km + '公里';
        }else{
            return kmDis + '公里';
        }
    }
}
/**
 * 判断src是否为ture或者'true'
 * @param src
 * @returns {*|boolean}
 */
function isTrue(src) {
    return src && src.toString() == 'true';
}

/**
 * 墨卡托转火星坐标
 */
function convertMars(mercator) {
    var lonLat = {
        x: 0,
        y: 0
    };
    var x = mercator.x / 20037508.34 * 180;
    var y = mercator.y / 20037508.34 * 180;
    y = 180 / Math.PI * (2 * Math.atan(Math.exp(y * Math.PI / 180)) - Math.PI / 2);
    lonLat.x = x;
    lonLat.y = y;
    return lonLat;
}