(function () {
    // 驾车问题配置
    var trouble_text_pool = [{
            text: "路线不好",
            children: [
                "绕远",
                "太堵",
                "路不好开"
            ]
        },
        {
            text: "道路不通",
            children: [
                "施工修路",
                "临时管制",
                "有新开道路"
            ]
        },
        {
            text: "电子眼不准",
            children: [
                "缺少电子眼",
                "限速不准",
                "其它"
            ]
        },
        {
            text: "目的地错误",
            children: [
                "搬迁",
                "关闭",
                "其它"
            ]
        },
        {
            text: "播报不好",
            children: [
                "播的距离不对",
                "内容听不明白",
                "听不清"
            ]
        },
        {
            text: "其它",
            children: ["路况不好", "定位不准", "其它"]
        }
    ];

    // 步行行问题配置
    var walk_trouble_text_pool = [{
            text: "路线不好",
            children: [
                "绕远",
                "不适合步行",
                "转向太多"
            ]
        },
        {
            text: "道路不通",
            children: [
                "缺路",
                "施工",
                "管制"
            ]
        },
        {
            text: "播报不好",
            children: [
                "播报距离不对",
                "播报时机不好",
                "内容听不明白"
            ]
        },
        {
            text: "导航错误",
            children: [
                "转向箭头不对",
                "偏离路线没反应"
            ]
        },
        {
            text: "目的地错误",
            children: [
                "搬迁",
                "关闭",
                "未到达目的地"
            ]
        },
        {
            text: "其他限制",
            children: [
                "大门不通",
                "交规限制"
            ]
        }
    ];

    // 骑行问题配置
    var cycling_trouble_text_pool = [{
            text: "路线不好",
            children: [
                "绕远",
                "不适合骑行",
                "转向太多"
            ]
        },
        {
            text: "道路不通",
            children: [
                "缺路",
                "施工",
                "管制"
            ]
        },
        {
            text: "播报不好",
            children: [
                "播报距离不对",
                "播报时机不好",
                "内容听不明白"
            ]
        },
        {
            text: "导航错误",
            children: [
                "转向箭头不对",
                "偏离路线没反应"
            ]
        },
        {
            text: "目的地错误",
            children: [
                "搬迁",
                "关闭",
                "未到达目的地"
            ]
        },
        {
            text: "其他限制",
            children: [
                "大门不通",
                "路线有逆行",
                "交规限制"
            ]
        }
    ];

    var base_info_data = {
        distance: {
            value: "--",
            unit: "公里",
            alias: "里程"
        },
        time: {
            value: "--",
            unit: "分钟",
            alias: "用时"
        },
        speed: {
            value: "--",
            unit: "公里/小时",
            alias: "速度"
        },
        maxSpeed: {
            value: "--",
            unit: "公里/小时",
            alias: "最高速"
        }
    };

    // 星级文案
    var star_tip_text = [
        "请别失望，我们一定吊打产品经理，加班加点提升体验！",
        "您的反馈已经收到，我们将高度重视并及时做出改进！",
        "您反馈的问题已经提交工作人员分析处理，感谢您的支持",
        "很抱歉离您的要求还有一点差距，我们会继续努力",
        "感谢支持！您的肯定是我们前进的最大动力"
    ];

    // 驾车导航关怀语句
    var care_tip_text = [
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~"
    ];

    // 步骑导航关怀语句
    var cw_care_tip_text = [
        "腾讯地图陪伴您的旅程，下次见哦~",
        "每一段路程都值得为您记录",
        "每一段路程都值得为您记录",
        "导航中多次偏离路线，点击星星评价一下吧"
    ];

    window.bid = base_info_data;
    window.ttp = trouble_text_pool;
    window.stt = star_tip_text;
    window.ctt = care_tip_text;

    window.wttp = walk_trouble_text_pool;
    window.cttp = cycling_trouble_text_pool;
    window.cwctt = cw_care_tip_text;
})();