//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    address = "", //显示地址栏
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    distance = "", //显示地址栏的距离数
    distanceType = "",
    hasStreetview = "", //街景
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    hideStatus = false,
    credibility = "",
    isOfflineData = "",
    isMyLocation = "",
    routeMode = "",
    isFavorite = "",
    isFuzzySearch = "",
    city = "",
    dataSource = "",
    uid = "",
    imei = "",
    slow = 0,
    quick = 0;
/**
 * 更新收藏接口
 * updateDataCallback是回调函数
 */
mqq.addEventListener("updateData", updateDataCallback);

function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText = "已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText = "收藏";
    }
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);

/**
 * 解析URL参数逻辑
 */
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

loadedPage(paraObj);

function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.type != undefined) {
            type = paraObj.type;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.distance != undefined) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.dataSource) {
            dataSource = paraObj.dataSource;
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
    }
    loadNativeData();
}


/**
 * 渲染客户端基础数据
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }
        }
    } 

    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
    }
    if (!isOfflineData) {
        //纠错
        if (dataSource == "none" || dataSource == "accurate" || dataSource == "anno" || dataSource == "nearby" || dataSource == "fuzzy" || dataSource == "") {
             byId("reportError").style.display="inline-block";
             byId("reportErrorEntrance").style.display="block";
        }
    } else {
        byId("reportErrorEntrance").style.display = "none";
    }
    //电话
    if (tel) {
        var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
        var phoneString = "";
        var aLength = arr.length;
        if (aLength > 0) {
            byId("phone").classList.remove('hiding');
            byId("phone").addEventListener("click", function () {
                //alert("打电话");
                nativeDial(platform, arr);
            }, false);
        }
    }
    //营业时间
    if (openTime) {
        byClass("timeText").innerText = hen(quanjiao(openTime));
        byClass("timeText").style.display = "block";
        byClass("businessTime").style.display = "block";
    }
    // 地址
    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
        }
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    // 街景
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }

     //旧版-打电话
     if (tel) {
        var arr = douhao_dou(tel).split("，");
        var phoneString = "";
        var aLength = arr.length;
        if (aLength) {
            if (aLength == 1) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
            } else if (aLength >= 2) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
            }
            byClass("phones").innerHTML = phoneString;
            byClass("phones").style.display = "block";
        }
        if (aLength > 0) {
            byClass("phone1").addEventListener("click", function () {
                //alert("打电话");
                // console.log(byClass("phone1").innerText)
                nativeDial(platform, byClass("phone1").innerText);
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone1"));
        }
        if (aLength > 1) {
            byClass("phone2").addEventListener("click", function () {
                // alert("打电话");
                // console.log(byClass("phone2").innerText)
                nativeDial(platform, byClass("phone2").innerText)
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone2"));
        }
    }
}

/**
 * 网络接口请求
 */
function getNetworkData() {
    if (isTest == "1") {
        // "https://maptest.sparta.html5.qq.com/nearby?qt=get_chargingpileInfo&uid=10970572292249850254&imei=867391033094181"
        requestUrl = "https://maptest.sparta.html5.qq.com/nearby?qt=get_chargingpileInfo&uid=" + uid + "&imei=" + imei;
    } else {
        requestUrl = "https://syn0.map.qq.com/nearby?qt=get_chargingpileInfo&uid=" + uid + "&imei=" + imei;
    }
    // alert(requestUrl)
    json.getData(requestUrl, renderData);
}

function renderData(data) {
    // alert(JSON.stringify(data))
    if (data.shErrNo == 0) {
        if (data && data.carcharge_info && data.carcharge_info.equipment_info.length>0) {
            byId("pileModule").style.display = "block";
            for (var i = 0; i < data.carcharge_info.equipment_info.length; i++) {
                //1为直流为快充
                if (data.carcharge_info.equipment_info[i].type && data.carcharge_info.equipment_info[i].type == "1") {
                    quick++;
                }
                if (data.carcharge_info.equipment_info[i].type && data.carcharge_info.equipment_info[i].type == "2") {
                    slow++;
                }
            }
            byClass("pile-num").style.display = "block";
            if(quick>0){
                byClass("pile-num-quick").style.display = "block";
                byClass("pile-quick-number").innerText = quick;
            }
            if(slow>0){
                byClass("pile-num-slow").style.display = "block";
                byClass("pile-slow-number").innerText = slow;
            }

        }
        if(data&&data.fee_info){
            //充电费用
            if(data.fee_info.electricity_json&&Array.isArray(data.fee_info.electricity_json)&&data.fee_info.electricity_json[0]){
                var renderStr = "";
                for( var i = 0 ; i < data.fee_info.electricity_json.length ; i++ ){
                    var item = data.fee_info.electricity_json[i];
                    renderStr += "<div><span class='plie-fee-electric-time'>"+item.begin+"—"+item.end+"</span>";
                    renderStr += "<span class='plie-fee-electric-fee'>"+item.fee+"元/度"+"</span></div>";
                }
                if( byClass("plie-fee-electric") ){//TODO:向旧版本兼容，防止找不到dom产生报错
                    byClass("plie-fee-electric").style.display = "block";
                    byClass("plie-fee-electric-content").innerHTML = renderStr;
                }
            }
            //服务费用
            if(data.fee_info.service_json&&Array.isArray(data.fee_info.service_json)&&data.fee_info.service_json[0]){
                var renderStr = "";
                for( var j = 0 ; j < data.fee_info.service_json.length ; j++ ){
                    var item = data.fee_info.service_json[j];
                    renderStr += "<div><span class='plie-fee-service-time'>"+item.begin+"—"+item.end+"</span>";
                    renderStr += "<span class='plie-fee-service-fee'>"+item.fee+"元/度"+"</span></div>";
                }
                if( byClass("plie-fee-service") ){//TODO:向旧版本兼容，防止找不到dom产生报错
                    byClass("plie-fee-service").style.display = "block";
                    byClass("plie-fee-service-content").innerHTML = renderStr;
                }
            }
            //停车费用
            if(data.fee_info.park&&data.fee_info.park!=""){
                byClass("plie-fee-park").style.display = "block";
                byId("plie-fee-park-time").innerText = data.fee_info.park;
            }
            //支付方式
            if(data.fee_info.paymethod&&data.fee_info.paymethod!=""){
                byClass("plie-fee-method").style.display = "block";
                byId("plie-fee-method-me").innerText =data.fee_info.paymethod;
            }
            //充电站详情
            if(data.station_info&&data.station_info.station_detail_url&&data.carcharge_info&&data.carcharge_info.source){
                byId('data-resource').innerHTML = data.carcharge_info.source;
                byId("data-resource").addEventListener("click", function(e){
                    mqq.invoke('common', 'gotoPage', {
                        'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                        'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                        {
                          'url': data.station_info.station_detail_url,
                          'hideBrowserTitle': '0'
                        }
                      });
                });
            }
        }
    }
}


/**
 *点击事件
 */
window.addEventListener("load", function () {
   
    //点击周边
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        statistics(platform, 'charge', 'near');
    }, false);
  
    //街景
    byId("streetView").addEventListener("click", function () {
        nativeOpenVista(platform);
    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
        isTest = data;
    });
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        //alert("网络状态="+data)
        if (data == 0 && operatePlaceDes == "") {
            getNetworkData();
        }
    });
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'allPoi', 'show');
        };
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});