/**
 * Created by lancesliu on 2017/5/16.
 */

/**
 * 将数值转换为带有单位的字符串,如果distance是NaN,表明带有单位，直接返回原值
 * @param distance  距离
 * @returns {string}    带有单位的距离字符串
 */
function distance2Sring(distance) {
    if (isNaN(distance)) {
        return distance;
    }
    // if (distance < 1000){
    //     return Math.round(distance) + '米';
    // }else {
    //     var kmDis = Math.round(distance/1000);
    //     kmDis = kmDis.toString();
    //     if(kmDis < 10){
    //         var km=Math.round(distance/100)/10;
    //         km=km.toString();
    //         return km + '公里';
    //     }else{
    //         return kmDis + '公里';
    //     }
    // }
    if (distance < 10) {
        return '<10米';
    } else if (distance < 1000) {
        return Math.round(distance) + '米';
    } else if (distance < 30000) {
        return (distance/1000).toFixed(1) + '公里';
    } else {
        return Math.round(distance/1000) + '公里';
    }
}
/**
 * 判断src是否为ture或者'true'
 * @param src
 * @returns {*|boolean}
 */
function isTrue(src) {
    return src && src.toString() == 'true';
}

/**
 * 墨卡托转火星坐标
 */
function convertMars(mercator) {
    var lonLat = {
        x: 0,
        y: 0
    };
    var x = mercator.x / 20037508.34 * 180;
    var y = mercator.y / 20037508.34 * 180;
    y = 180 / Math.PI * (2 * Math.atan(Math.exp(y * Math.PI / 180)) - Math.PI / 2);
    lonLat.x = x;
    lonLat.y = y;
    return lonLat;
}
// 转换大小写
function change(str){
    var arr = str.split('_');
    for(var i=1;i<arr.length;i++){
      arr[i] = arr[i].charAt(0).toUpperCase() + arr[i].substring(1);
    }
    return arr.join('');
  }

// 获取页面可获取scrollTop的元素，根据兼容性做判断
function getScrollTop () {
    return document.body.scrollTop || document.documentElement.scrollTop
}

function setScrollTop (scroll) {
    document.body.scrollTop = document.documentElement.scrollTop = scroll
}
// 节流函数
function throttle(func, delay) {
    var timer = null;
    var startTime = Date.now();  
    if (!delay) {
        delay = 1000;
    }
    return function() {
        var curTime = Date.now();
        var remaining = delay-(curTime-startTime);  // 计算出两次触发的时间间隔有没有大余delay 
        var context = this;
        var args = arguments;

        clearTimeout(timer);
        if (remaining<=0) { 
            func.apply(context,args);
            startTime = Date.now();  // 如果两次触发时间大余delay，则立马触发一次任务函数并且更新起始时间戳
        }
    }
}